Loading...
Searching...
No Matches
DSRReferencedTimeOffsetList Class Reference

Class for referenced time offset list. More...

Inheritance diagram for DSRReferencedTimeOffsetList:

## Public Member Functions

| DSRReferencedTimeOffsetList ()
| default constructor
| DSRReferencedTimeOffsetList (const DSRReferencedTimeOffsetList &lst)
| copy constructor
virtual | ~DSRReferencedTimeOffsetList ()
| destructor
DSRReferencedTimeOffsetList & | operator= (const DSRReferencedTimeOffsetList &lst)
| assignment operator
OFCondition | print (STD_NAMESPACE ostream &stream, const size_t flags=0, const char separator=',') const
| print list of referenced time offsets.
OFCondition | read (DcmItem &dataset, const size_t flags)
| read list of referenced time offsets
OFCondition | write (DcmItem &dataset) const
| write list of referenced time offsets
OFCondition | putString (const char *stringValue)
| put list of referenced time offsets as a string.
Public Member Functions inherited from DSRListOfItems< Float64 >
| DSRListOfItems ()
| default constructor
virtual | ~DSRListOfItems ()
| destructor
DSRListOfItems< Float64 > & | operator= (const DSRListOfItems< Float64 > &lst)
| assignment operator
OFBool | operator== (const DSRListOfItems< Float64 > &lst) const
| comparison operator "equal"
OFBool | operator!= (const DSRListOfItems< Float64 > &lst) const
| comparison operator "not equal"
void | clear ()
| clear all internal variables
OFBool | isEmpty () const
| check whether the list is empty
size_t | getNumberOfItems () const
| get number of items contained in the list
OFBool | isElement (const Float64 &item) const
| check whether specified item is contained in the list
const Float64 & | getItem (const size_t idx) const
| get reference to the specified item
OFCondition | getItems (OFVector< Float64 > &items) const
| get copy of all items (as a vector)
void | addItem (const Float64 &item)
| add item to the list
void | addOnlyNewItem (const Float64 &item)
| add item to the list only if it's not already contained
void | addItems (const OFVector< Float64 > &items)
| add items to the list
OFCondition | insertItem (const size_t idx, const Float64 &item)
| insert item at specified position to the list
OFCondition | removeItem (const size_t idx)
| remove item from the list

## Additional Inherited Members

Protected Member Functions inherited from DSRListOfItems< Float64 >
OFBool | gotoItemPos (size_t idx, OFLIST_TYPENAME OFListConstIterator(Float64) &iterator) const
| goto specified item position
OFBool | gotoItem (const Float64 &item, OFLIST_TYPENAME OFListConstIterator(Float64) &iterator) const
| goto specified item
Protected Attributes inherited from DSRListOfItems< Float64 >
OFList< Float64 > | ItemList
| the list maintained by this class

## Detailed Description

Class for referenced time offset list.

## Constructor & Destructor Documentation

## DSRReferencedTimeOffsetList()

DSRReferencedTimeOffsetList::DSRReferencedTimeOffsetList | ( | const DSRReferencedTimeOffsetList & | lst | ) |

copy constructor

Parameters

  lst | list to be copied

References DSRReferencedTimeOffsetList().

## Member Function Documentation

## operator=()

DSRReferencedTimeOffsetList & DSRReferencedTimeOffsetList::operator= | ( | const DSRReferencedTimeOffsetList & | lst | ) |

assignment operator

Parameters

  lst | list to be copied

Returns
  reference to this list after 'lst' has been copied

References DSRReferencedTimeOffsetList().

## print()

OFCondition DSRReferencedTimeOffsetList::print | ( | STD_NAMESPACE ostream & | stream,
|  | const size_t | flags = 0,
|  | const char | separator = ',' ) const

print list of referenced time offsets.

The output of a typical list looks like this: 1,2.5 or 1,... if shortened.

Parameters

  stream | output stream to which the list should be printed
  flags | flag used to customize the output (see DSRTypes::PF_xxx)
  separator | character specifying the separator between the list items

Returns
  status, EC_Normal if successful, an error code otherwise

## putString()

OFCondition DSRReferencedTimeOffsetList::putString | ( | const char * | stringValue | ) |

put list of referenced time offsets as a string.

This function expects the same input format as created by print(), i.e. a comma separated list of numerical values.

Parameters

  stringValue | string value to be set

Returns
  status, EC_Normal if successful, an error code otherwise

## read()

OFCondition DSRReferencedTimeOffsetList::read | ( | DcmItem & | dataset,
|  | const size_t | flags )

read list of referenced time offsets

Parameters

  dataset | DICOM dataset from which the list should be read
  flags | flag used to customize the reading process (see DSRTypes::RF_xxx)

Returns
  status, EC_Normal if successful, an error code otherwise

## write()

OFCondition DSRReferencedTimeOffsetList::write | ( | DcmItem & | dataset | ) | const

write list of referenced time offsets

Parameters

  dataset | DICOM dataset to which the list should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmsr/include/dcmtk/dcmsr/dsrtcoto.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0